# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /Users/ec2-user/runner/_work/data/data/pytorch/data/packaging/torchdata, last modified Wed Oct 16 18:26:17 2024
# ------------------------------------------------

package:
  name: torchdata
  version: 0.9.0
source:
  path: /Users/ec2-user/runner/_work/data/data/pytorch/data
build:
  script_env:
    - BUILD_S3
    - BUILD_VERSION
  string: py310
requirements:
  build:
    - bzip2 1.0.8 h80987f9_6
    - c-ares 1.19.1 h80987f9_0
    - ca-certificates 2024.9.24 hca03da5_0
    - cmake 3.26.4 h5d7ac33_0
    - cpuonly 2.0 0
    - curl 8.9.1 h02f6b3c_0
    - expat 2.6.3 h313beb8_0
    - filelock 3.13.1 py310hca03da5_0
    - gmp 6.2.1 hc377ac9_3
    - gmpy2 2.1.2 py310h8c48613_0
    - jinja2 3.1.4 py310hca03da5_0
    - krb5 1.20.1 hf3e1bf2_1
    - libcurl 8.9.1 h3e2b118_0
    - libcxx 14.0.6 h848a8c0_0
    - libedit 3.1.20230828 h80987f9_0
    - libev 4.33 h1a28f6b_1
    - libffi 3.4.4 hca03da5_1
    - libnghttp2 1.57.0 h62f6fdd_0
    - libssh2 1.11.0 h3e2b118_0
    - libuv 1.48.0 h80987f9_0
    - llvm-openmp 14.0.6 hc6e5704_0
    - lz4-c 1.9.4 h313beb8_1
    - markupsafe 2.1.3 py310h80987f9_0
    - mpc 1.1.0 h8c48613_1
    - mpfr 4.0.2 h695f6f0_1
    - mpmath 1.3.0 py310hca03da5_0
    - ncurses 6.4 h313beb8_0
    - networkx 3.3 py310hca03da5_0
    - ninja 1.10.2 hca03da5_5
    - ninja-base 1.10.2 h525c30c_5
    - openssl 3.0.15 h80987f9_0
    - pip 24.2 py310hca03da5_0
    - python 3.10.15 hb885b13_1
    - pytorch 2.5.0 py3.10_0
    - pytorch-mutex 1.0 cpu
    - pyyaml 6.0.2 py310h80987f9_0
    - readline 8.2 h1a28f6b_0
    - rhash 1.4.3 h02f6b3c_0
    - setuptools 75.1.0 py310hca03da5_0
    - sqlite 3.45.3 h80987f9_0
    - sympy 1.13.2 py310hca03da5_0
    - tk 8.6.14 h6ba3021_0
    - typing_extensions 4.11.0 py310hca03da5_0
    - tzdata 2024b h04d1e81_0
    - wheel 0.44.0 py310hca03da5_0
    - xz 5.4.6 h80987f9_1
    - yaml 0.2.5 h1a28f6b_0
    - zlib 1.2.13 h18a0788_1
    - zstd 1.5.6 hfb09047_0
  run:
    - openssl >=3.0.15,<4.0a0
    - python >=3.10,<3.11.0a0
    - pytorch>=2.0
    - requests
    - urllib3>=1.25
    - zlib >=1.2.13,<1.3.0a0
test:
  imports:
    - torchdata
    - torchdata.dataloader2
    - torchdata.datapipes
  requires:
    - cpuonly
    - expecttest
    - pytest
  source_files:
    - test
about:
  doc_url: https://pytorch.org/data
  home: https://github.com/pytorch/data
  license: BSD
  license_file: LICENSE
  summary: Common modular data loading primitives for easily constructing flexible
    and performant data pipelines for PyTorch users
extra:
  copy_test_source_files: true
  final: true
